Package twisted :: Package python :: Module usage

[show private | hide private]
[frames | no frames]

## Module twisted.python.usage

twisted.python.usage is a module for parsing/handling the command line of your program.

For information on how to use it, see http://twistedmatrix.com/documents/howto/options, or doc/howto/options.html in your Twisted directory.

Classes
`Options` | An option list parser class

Exceptions
`error` |
`UsageError` |

Function Summary
| ``docMakeChunks`(optList, width)` Makes doc chunks for option declarations.
| `flagFunction(method, name)`

Function Details

### docMakeChunks(optList, width=80)

Makes doc chunks for option declarations.

Takes a list of dictionaries, each of which may have one or more of the keys 'long', 'short', 'doc', 'default', 'optType'.

Returns a list of strings. The strings may be multiple lines, all of them end with a newline.

Generated by Epydoc 1.1 on Sat Feb 15 21:19:17 2003 | http://epydoc.sf.net